<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up()
    {
        Schema::table('main_coaches', function (Blueprint $table) {
            $table->string('filing_at',50)->nullable()->comment('申请日期');
        });

        Schema::table('coaches', function (Blueprint $table) {
            $table->string('filing_at',50)->nullable()->comment('申请日期');
        });

        Schema::table('customer_service_users', function (Blueprint $table) {
            $table->string('filing_at',50)->nullable()->comment('申请日期');
        });
    }

    public function down()
    {
        Schema::table('main_coaches', function (Blueprint $table) {
            //
            $table->dropColumn('filing_at');
        });

        Schema::table('coaches', function (Blueprint $table) {
            //
            $table->dropColumn('filing_at');
        });

        Schema::table('customer_service_users', function (Blueprint $table) {
            //
            $table->dropColumn('filing_at');
        });
    }
};